.TH pppdec 1
.SH NAME
pppdec \- decode ppp conversations
.SH SYNOPSIS
.B pppdec
[
.B -a
][
.B -d
] [
.B file...
]
.SH DESCRIPTION
.I pppdec
decodes the given ppp logfiles (standard input) to a textural description.
The \fB-a\fR option causes all packets, even those corrupted, to be decoded.
Internal \fBpppdec\fR debug may be enabled with \fB-d\fR, multiple instances increase
the quantity of the chatter.
.PP
The logfiles \fIpppdec\fR expects are simple, consisting of lines of hex
byte values prefixed by either \fBTX\fR or \fBRX\fR indicating the
part of the conversation they apply to; Any other text is ignored.
.SH EXAMPLE LOGFILE
.EX
	PPP connecting
	RX 7f 34 54 32 e3 2 c3 2 33 2 4f 32
	TX 73 482 2 f f6 e9 32 98 88 f4 27
.EE
.SH BUGS
\fIpppdec\fR was designed for debugging problems in
establishing connections and therefore makes little
attempt to decode IP packets.
.PP
The logfile parser is poor, it should be more tolerant.
.SH SOURCE
.B /sys/src/cmd/pppdec
